import gpdraw.DrawingTool;  // Import DrawingTool class
import gpdraw.SketchPad;    // Import SketchPad class
import java.awt.Color;      // Import the Color class

public class DrawSquare {

     public static void main(String[] args) {

          SketchPad paper;  // Declare a SketchPad variable
          DrawingTool pen;  // Declare a DrawingTool variable

          paper = new SketchPad(400, 300);  // Create and initialize the paper
          pen = new DrawingTool(paper);     // Create and initialize the pen

          Color myColor;                    // Declare a Color object named myColor
          myColor = new Color(127, 0, 127); // Create and initialize myColor to purple

          pen.setColor(myColor);    // Change the pen's color to purple

          pen.setWidth(10);         // Change the pen width to 10

          pen.forward(100);         // Draw left side
          pen.turnRight(90);
          pen.forward(100);         // Draw top
          pen.turnRight(90);
          pen.forward(100);         // Draw right side
          pen.turnRight(90);
          pen.forward(100);         // Draw bottom
        }
}